# eric6.WebBrowser.Session.SessionManagerDialog

Module implementing a dialog to manage sessions.

### Global Attributes

None

### Classes

SessionManagerDialog | Class implementing a dialog to manage sessions.

### Functions

None

## SessionManagerDialog

Class implementing a dialog to manage sessions.

### Derived from

QDialog, Ui_SessionManagerDialog

### Class Attributes

ActiveSessionRole
BackupSessionRole
DefaultSessionRole
SessionFileRole

### Class Methods

None

### Methods

SessionManagerDialog | Constructor
__cloneSession | Private slot to clone the selected session.
__deleteSession | Private slot to delete the selected session.
__newSession | Private slot to create a new session.
__refresh | Private slot to refresh the list of sessions.
__renameSession | Private slot to rename the selected session.
__resizeViewHeader | Private method to resize the session column of the list.
__switchToSession | Private slot to switch to the selected session.
__updateButtons | Private method to update the button state.
__updateSessionItem | Private method to set various item properties.
resizeEvent | Protected method handling the dialog being resized.
showEvent | Protected method handling the dialog being shown.

### Static Methods

None

#### SessionManagerDialog (Constructor)

SessionManagerDialog(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### SessionManagerDialog.__cloneSession

__cloneSession()

Private slot to clone the selected session.

#### SessionManagerDialog.__deleteSession

__deleteSession()

Private slot to delete the selected session.

#### SessionManagerDialog.__newSession

__newSession()

Private slot to create a new session.

#### SessionManagerDialog.__refresh

__refresh()

Private slot to refresh the list of sessions.

#### SessionManagerDialog.__renameSession

__renameSession()

Private slot to rename the selected session.

#### SessionManagerDialog.__resizeViewHeader

__resizeViewHeader()

Private method to resize the session column of the list.

#### SessionManagerDialog.__switchToSession

__switchToSession()

Private slot to switch to the selected session.

#### SessionManagerDialog.__updateButtons

__updateButtons()

Private method to update the button state.

#### SessionManagerDialog.__updateSessionItem

__updateSessionItem(itm)

Private method to set various item properties.

itm (QTreeWidgetItem)
  reference to the item to be updated

#### SessionManagerDialog.resizeEvent

resizeEvent(evt)

Protected method handling the dialog being resized.

evt (QResizeEvent)
  reference to the event object

#### SessionManagerDialog.showEvent

showEvent(evt)

Protected method handling the dialog being shown.

evt (QShowEvent)
  reference to the event object

Up